package com.fdage.service;

import com.fdage.pojo.TbRole;
import com.fdage.request.RequestBase;
import com.fdage.respon.ResponRole;
import com.fdage.respon.ResponUser;

import java.util.List;

/**
 * Created by Hb_zzZ on 2020/7/27.
 */
public interface IRoleService {

    TbRole findById(Long id);

    int save(TbRole role);

    int update(TbRole role);

    void deleteRoleResource(Long roleId);

    void saveRoleResource(Long roleId, Long resourceId);

    int saveRoleUser(Long roleId, Long userId);

    int deleteRoleUser(Long userId);

    List<ResponRole> findRoleList(RequestBase bo);

    List<ResponUser> findUserListByRoleId(Long roleId);

    List<String> findUserNameByRoleId(Long roleId);

    ResponRole findRoleById(Long roleId);
}
